Bug 493512 - nm-applet - connect to hidden networks does not show all of the configured connections
nm-applet - connect to hidden networks does not show all of the configured co...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 23:14 EDT by gene c
Modified: 2009-04-09 11:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 09:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gene c 2009-04-01 23:14:14 EDT
Description of problem:
nm-applet - connect to hidden network - does not display all networks.
it only displays 6 of the 9 networks I have put in.

Version-Release number of selected component (if applicable):
0.7.0.99-5.git20090326.fc10.i383

How reproducible:
Always

Steps to Reproduce:
1. Click nm-applet - choose connnect to hidden networks
2.In new window - click on 'Connection'
3. A drop down list appears showing list of networks
  
Actual results:
The list shows only 6 of the 9 networks

Expected results:
Shoould show all of them

Additional info:
Comment 1 Dan Williams 2009-04-08 21:25:27 EDT
are any of those 3 connections that don't show up locked to a specific MAC address?
Comment 2 gene c 2009-04-09 09:13:28 EDT
Indeed they (the missing ones) all are locked to a MAC - I do note that some of the ones that do show up are also MAC locked.

Thank you for your help.
Comment 3 Dan Williams 2009-04-09 09:20:14 EDT
Yeah, the list will only show connections that are relevant for the specific adapter you've selected; if you only have one wifi card then the adapter combo will be hidden.  If any of the ones that do show up are MAC-locked and the MAC is *not* that of your wifi device, then that's a bug.  Otherwise I think it's expected behavior.  Let me know if that's the case so we can reopen the bug.
Comment 4 gene c 2009-04-09 10:43:17 EDT
Wait - I am clearly confused. I assumed, presumably incorrectly, that the MAC field was the MAC of the AP - perhaps for that I should use BSSID.

If the MAC field is supposed to be MAC of my adaptor (i have 1 wifi, and 1 wired) then I have been using it wrongly - and some of the entries with AP MAC addresses in the MAC field indeed show up in the list.

Is this correct:

 MAC field = mac of my own adaptor
 BSSID = mac of AP i wish to connect to


? 
This stuff is hard to find good docs for ..

thanks for your help.

gene
Comment 5 Dan Williams 2009-04-09 10:58:27 EDT
(In reply to comment #4)
> Wait - I am clearly confused. I assumed, presumably incorrectly, that the MAC
> field was the MAC of the AP - perhaps for that I should use BSSID.

Correct.

> If the MAC field is supposed to be MAC of my adaptor (i have 1 wifi, and 1
> wired) then I have been using it wrongly - and some of the entries with AP MAC
> addresses in the MAC field indeed show up in the list.

Right.

> Is this correct:
> 
>  MAC field = mac of my own adaptor
>  BSSID = mac of AP i wish to connect to

Yes.  Note that not all drivers respect a locked BSSID, so your mileage may vary depending on the driver.
Comment 6 gene c 2009-04-09 11:51:54 EDT
Ok good - so it is a surprise that any of the AP MAC's I put in showed up in the list as they would not match the MAC of my hardware (which is Intel 4965). 

Perhaps that is a bug rather than the missing ones which should not. I will change the MAC's to use BSSID.

Confirming that with the MAC's in BSSID I no longer have any missing ones.

Thanks for your help.

Note You need to log in before you can comment on or make changes to this bug.